<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".fragments.ChangePasswordFragment">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:overScrollMode="never">

        <LinearLayout style="@style/padded_layout_style">


            <LinearLayout style="@style/header_layout_style">

                <TextView
                    style="@style/fragment_title_text_styledark"
                    android:fontFamily="@font/titillium_web_boldmedium"
                    android:text="Change Password" />

                <TextView
                    style="@style/fragment_description_text_style"
                    android:fontFamily="@font/titillium_web_regular"
                    android:padding="8dp"
                    android:text="Please enter your old password and the new password you want to change it to" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:padding="15dp">


                <android.support.design.widget.TextInputLayout
                    android:id="@+id/passwordTIL"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:passwordToggleEnabled="true">

                    <android.support.design.widget.TextInputEditText
                        android:id="@+id/passwordEdit"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/enter_current_password"
                        android:inputType="textPassword"
                        android:maxLines="1"
                        android:singleLine="true" />
                </android.support.design.widget.TextInputLayout>

                <android.support.design.widget.TextInputLayout
                    android:id="@+id/newPasswordTIL"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:passwordToggleEnabled="true">

                    <android.support.design.widget.TextInputEditText
                        android:id="@+id/newPasswordEdit"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/enter_new_password"
                        android:inputType="textPassword"
                        android:maxLines="1"
                        android:singleLine="true" />
                </android.support.design.widget.TextInputLayout>

                <android.support.design.widget.TextInputLayout
                    android:id="@+id/confirmPasswordTIL"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:passwordToggleEnabled="true">

                    <android.support.design.widget.TextInputEditText
                        android:id="@+id/confirmPasswordEdit"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/confirm_new_password"
                        android:inputType="textPassword"
                        android:maxLines="1"
                        android:singleLine="true" />
                </android.support.design.widget.TextInputLayout>

                <android.support.design.widget.TextInputLayout
                    android:id="@+id/pinTIL"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <EditText
                        android:id="@+id/pinEdit"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/titillium_web_regular"
                        android:hint="Enter your pin"
                        android:inputType="numberPassword"
                        android:maxLength="4"
                        android:maxLines="1"
                        android:singleLine="true" />
                </android.support.design.widget.TextInputLayout>

                <Button
                    android:id="@+id/update_password_button"
                    style="@style/default_button_style"
                    android:layout_alignParentLeft="true"
                    android:fontFamily="@font/titillium_web_regular"
                    android:text="@string/update_password" />

            </LinearLayout>


        </LinearLayout>

    </ScrollView>

</FrameLayout>
